Get Artist Instagram Top Posts and Reels

Returns the artist's top 10 Instagram posts and top 10 Instagram reels. The handler passes through the user_profile.top_posts and user_profile.top_reels arrays from the deep-social pipeline; either array may be empty when no data is available.

Path Parameters
  • id
    Type: integer
    min:  
    2
    max:  
    2147483647
    required

    Chartmetric artist ID. Note: id=1 ('Various Artists') is rejected.

    • enum
      const:  
      1
      values
      • 1
Responses
  • application/json
Request Example for get/api/SNS/deepSocial/cm_artist/{id}/instagram
curl https://api.chartmetric.com/api/SNS/deepSocial/cm_artist/2/instagram \
  --header 'Authorization: Bearer YOUR_SECRET_TOKEN'
{
  "obj": {
    "top_posts": [
      {
        "user_id": "1707509864",
        "username": "honeymoon",
        "user_picture": "https://example.com/user_picture.jpg",
        "user_url": "https://www.instagram.com/honeymoon",
        "type": "photo",
        "post_id": "3730445037202445518_1707509864",
        "created": "2025-09-26T21:55:24.000+00:00",
        "image": "https://example.com/post_image.jpg",
        "thumbnail": "https://example.com/post_thumbnail.jpg",
        "link": "https://www.instagram.com/p/DPFM_8gkhTO/",
        "mentions": [
          "jeremy.dufrene",
          "ralphlauren",
          "tiffanyandco"
        ],
        "stat": {
          "likes_count_enabled": true,
          "likes": 6717673,
          "comments": 40955,
          "shares": 301160
        }
      }
    ],
    "top_reels": [
      {
        "user_id": "1707509864",
        "username": "honeymoon",
        "user_picture": "https://example.com/user_picture.jpg",
        "user_url": "https://www.instagram.com/honeymoon",
        "type": "video",
        "post_id": "3394225214193878190_49509959",
        "created": "2024-06-20T00:29:37.000+00:00",
        "text": "Tough",
        "image": "https://example.com/reel_image.jpg",
        "thumbnail": "https://example.com/reel_thumbnail.jpg",
        "link": "https://www.instagram.com/p/C8atdlTs0Su/",
        "stat": {
          "likes_count_enabled": true,
          "likes": 3021396,
          "comments": 20994,
          "plays": 46374448
        }
      }
    ]
  }
}